<?php
namespace Claromentis\Setup;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_b742a00ae87756f850c77e" . "0daf4e7a3a" => base64_decode("Cg=" . "="), "_24f5487bd60ba6b30d6285c791a32" . "460" => base64_decode("c3RyX3" . "BhZA=="), "_74923e1c0049a84fd02" . "0d96f8ae0645d" => base64_decode("SW5m" . "bw=="), "_70809333a0f25" . "4acf7a1ad0c7da" . "dd46b" => base64_decode("O" . "i" . "A" . "="), "_e2670a71b0605345f16f2b7a8edd4" . "a21" => base64_decode("dWNmaXJzdA=" . "="), "_0f10830288c813de18599" . "c12f76694b3" => base64_decode("RG" . "Vi" . "dW" . "c="), "_a08b13e5439bf1e" . "1258f60e9380f41a" . "e" => base64_decode("RGV0Y" . "Wls"), "_bd71c3b5c201fc11d" . "b82ed14ce424de5" => base64_decode("aW5fYXJ" . "yYXk="));
use Psr\Log\LoggerInterface;
use Psr\Log\LoggerTrait;
use Psr\Log\LogLevel;






class Logger implements LoggerInterface
{
    use LoggerTrait;
    protected $levels = [];
    public function __construct()
    {
        $this->setLogLevel(LogLevel::NOTICE);
    }
    
    
    
    
    
    
    
    
    
    
    public function log($level, $message, array $context = array())
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_bd71c3b5c201fc11db82ed14ce424de" . "5"]($level, $this->levels)) {
            return;
        }
        switch ($level) {
            case \Psr\Log\LogLevel::EMERGENCY:
            case \Psr\Log\LogLevel::ALERT:
            case \Psr\Log\LogLevel::CRITICAL:
            case \Psr\Log\LogLevel::ERROR:
            case \Psr\Log\LogLevel::WARNING:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e2670a71b06" . "05345f16f2b7" . "a8edd4a21"]($level);
                break;
            case \Psr\Log\LogLevel::NOTICE:
            default:
                $prefix = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_74923e1c0049a8" . "4fd020d96f8ae06" . "45d"];
                break;
            case \Psr\Log\LogLevel::INFO:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_a08b13e" . "5439bf1e" . "1258f60e" . "9380f41a" . "e"];
                break;
            case \Psr\Log\LogLevel::DEBUG:
                $prefix = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0f10830288c813de18599c12f766" . "94b3"];
                break;
        }
        echo $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_24f5487bd60ba6b30d6285c791a" . "32460"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e2670a7" . "1b060534" . "5f16f2b7" . "a8edd4a2" . "1"]($prefix), 6) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_70809333a0f254acf7" . "a1ad0c7dadd46b"] . $message . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b742a00ae87756f850c77e0daf4e" . "7a3a"];
    }
    public function setLogLevel($_4eff911a7d895b5233a9a2ffeefd84f9 = LogLevel::NOTICE)
    {
        $this->levels = [];
        switch ($_4eff911a7d895b5233a9a2ffeefd84f9) {
            case \Psr\Log\LogLevel::DEBUG:
                $this->levels[] = \Psr\Log\LogLevel::DEBUG;
            case \Psr\Log\LogLevel::INFO:
                $this->levels[] = \Psr\Log\LogLevel::INFO;
            case \Psr\Log\LogLevel::NOTICE:
                $this->levels[] = \Psr\Log\LogLevel::NOTICE;
            case \Psr\Log\LogLevel::WARNING:
                $this->levels[] = \Psr\Log\LogLevel::WARNING;
            case \Psr\Log\LogLevel::ERROR:
                $this->levels[] = \Psr\Log\LogLevel::ERROR;
        }
        $this->levels[] = \Psr\Log\LogLevel::CRITICAL;
        $this->levels[] = \Psr\Log\LogLevel::ALERT;
        $this->levels[] = \Psr\Log\LogLevel::EMERGENCY;
    }
}